package com.caimei365.manager.service.wechat;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.wechat.WechatReply;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/6
 */
public interface WechatReplyService {
    /**
     * 获取回复配置列表
     *
     * @param type 类型： 1采美，2呵呵商城
     * @param title 回复素材标题
     * @param responseType   事件类型
     * @param msgType   回复类型
     * @param pageNum  页码
     * @param pageSize 每页大小
     */
    ResponseJson<PaginationVo<WechatReply>> getReplyList(Integer type, String title, String responseType, String msgType, int pageNum, int pageSize);
    /**
     * 根据ID获取回复配置
     */
    ResponseJson<WechatReply> getReply(Integer id);
    /**
     * 根据ID更新回复配置
     */
    ResponseJson<Void> updateReply(Integer id, WechatReply reply, String username);
    /**
     * 添加回复配置
     */
    ResponseJson<Void> addReply(WechatReply reply, String username);
    /**
     * 根据ID删除回复配置
     */
    ResponseJson<Void> deleteReply(Integer id);
}
